Loading...
Searching...
No Matches
context.c File Reference

talloc context handling. More...

`#include <string.h>`
`#include <errno.h>`
`#include <osmocom/core/talloc.h>`
`#include <osmocom/core/utils.h>`

## Functions

int | osmo_ctx_init (const char *id)
static | __attribute__ ((constructor(101)))

## Variables

__thread struct osmo_talloc_contexts * | osmo_ctx

## Detailed Description

talloc context handling.

(C) 2019 by Harald Welte lafor.nosp@m.ge@g.nosp@m.numon.nosp@m.ks.o.nosp@m.rg All Rights Reserved.

SPDX-License-Identifier: GPL-2.0+

This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

## Function Documentation

## __attribute__()

static __attribute__ | ( | (constructor(101)) |  | ) |

static

References __attribute__, OSMO_ASSERT, and osmo_ctx_init().

## osmo_ctx_init()

int osmo_ctx_init | ( | const char * | id | ) |

References osmo_talloc_contexts::global, osmo_ctx, and osmo_talloc_contexts::select.

Referenced by __attribute__().

## Variable Documentation

## osmo_ctx

__thread struct osmo_talloc_contexts* osmo_ctx

Referenced by osmo_ctx_init().